Report an organization booking
curl --request POST \
--url https://api.cal.com/v2/organizations/{orgId}/bookings/report \
--header 'Content-Type: application/json' \
--data '
{
"bookingUid": "booking-uid-123",
"reason": "SPAM",
"reportType": "EMAIL",
"description": "<string>"
}
'import requests
url = "https://api.cal.com/v2/organizations/{orgId}/bookings/report"
payload = {
"bookingUid": "booking-uid-123",
"reason": "SPAM",
"reportType": "EMAIL",
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
bookingUid: 'booking-uid-123',
reason: 'SPAM',
reportType: 'EMAIL',
description: '<string>'
})
};
fetch('https://api.cal.com/v2/organizations/{orgId}/bookings/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"success": true,
"message": "Booking reported and cancelled successfully",
"bookingUid": "booking-uid-123",
"reportedCount": 1,
"cancelledCount": 3
}
}Bookings
Report an organization booking
Report a booking within the organization. A booking report is created and the reported booking along with other matching upcoming bookings are silently cancelled. If accessed using an OAuth access token, the ORG_BOOKING_WRITE scope is required.
POST
/
v2
/
organizations
/
{orgId}
/
bookings
/
report
Report an organization booking
Headers
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
For platform customers - OAuth client secret key
For platform customers - OAuth client ID
Path Parameters
Body
application/json
The UID of the booking to report
Example:
"booking-uid-123"
The reason for reporting the booking
Available options:
SPAM, UNWANTED, DONT_KNOW_PERSON, OTHER Example:
"SPAM"
Whether to report by email or domain. EMAIL targets the specific booker email. DOMAIN targets all emails from the same domain.
Available options:
EMAIL, DOMAIN Example:
"EMAIL"
Additional description for the report
Was this page helpful?